Katello - Bug #6041

katello-debug errored
06/03/2014 04:44 PM - Bryan Kearney

Status: Closed

Priority: Normal

Assignee: Bryan Kearney

Category:

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1102362 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1102362
Description of problem:
katello-debug errored

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.7-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.7-1.el6_5.noarch
candlepin-tomcat6-0.9.7-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.6.0.13-1.el6sat.noarch
foreman-compute-1.6.0.13-1.el6sat.noarch
foreman-gce-1.6.0.13-1.el6sat.noarch
foreman-libvirt-1.6.0.13-1.el6sat.noarch
foreman-ovirt-1.6.0.13-1.el6sat.noarch
foreman-postgresql-1.6.0.13-1.el6sat.noarch
foreman-proxy-1.6.0.6-1.el6sat.noarch
foreman-selinux-1.6.0-2.el6sat.noarch
foreman-vmware-1.6.0.13-1.el6sat.noarch
katello-1.5.0-24.el6sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.44-1.el6sat.noarch
openldap-2.4.23-32.el6_4.1.x86_64
openldap-devel-2.4.23-32.el6_4.1.x86_64
pulp-katello-plugins-0.3-1.el6sat.noarch
pulp-nodes-common-2.4.0-0.18.beta.el6sat.noarch
pulp-nodes-parent-2.4.0-0.18.beta.el6sat.noarch
pulp-puppet-plugins-2.4.0-0.18.beta.el6sat.noarch
pulp-puppet-tools-2.4.0-0.18.beta.el6sat.noarch
pulp-rpm-plugins-2.4.0-0.18.beta.el6sat.noarch
pulp-selinux-2.4.0-0.18.beta.el6sat.noarch
pulp-server-2.4.0-0.18.beta.el6sat.noarch
python-ldap-2.3.10-1.e16.x86_64
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
rubygem-hammer_cli-0.1.0-13.el6sat.noarch
rubygem-hammer_cli_foreman-0.1.0-15.el6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.2-6.el6sat.noarch
rubygem-hammer_cli_katello-0.0.3-26.el6sat.noarch
https://bugzilla.redhat.com/show_bug.cgi?id=1102362

How reproducible:
Always

Steps to Reproduce:

1. katello-debug
/usr/bin/katello-debug:44:in “read’: No such file or directory - /etc/katello/client.conf (Errno::ENOENT)
from /usr/bin/katello-debug:44:in “<main>'

Actual results:
katello-debug errored as shown above

Expected results:

1. If we are continuing to support katello-debug it should not be errored and it should create the tarball

2. If we are deprecating katello-debug in favor of foreman-debug - we need to remove installation of katello-debug and also include
all files from katello-debug in foreman-debug

Typical katello-debug tar:
katello-debug

- etc

- candlepin

- candlepin.conf
- katello

- katello-configure.conf
- client.conf

- thin.yml

- mapping.yml

- katello.yml

- environment.rb
- tomcat6

- server.xml

- thumbslug

- thumbslug.conf
- client-ca.pem

- cdn-ca.pem

- elasticsearch

- logging.ymi

- elasicsearch.yml
- httpd

- conf.d

- welcome.conf
- README

- katello.conf

- ssl.conf

- katello.d

- katello.conf

- var

- log

- elasticsearch

- thumbslug

- tomcat6

- katello

- httpd

- audit

- iptables

- ssl_build_dir

- certificates

- packages

Additional info:

History

#1 - 06/03/2014 05:41 PM - Eric Helms
- Assignee changed from Ivan Necas to Bryan Kearney

- Target version set to 45
- Triaged set to Yes

#2 - 06/04/2014 02:55 AM - Bryan Kearney

- Status changed from New to Closed

Code is merged

#3 - 06/04/2014 12:14 PM - Bryan Kearney
https://github.com/Katello/katello/pull/4207

#4 - 08/22/2014 08:29 AM - Eric Helms

- translation missing: en.field_release set to 13
